PROCEDURE display_error (errcode_in IN NUMBER)
IS
	matching_row BINARY_INTEGER := 1;
	keep_searching BOOLEAN := error_pkg.last_row > 0;
BEGIN
	WHILE keep_searching
	LOOP
		/* Does the current row match the specified error code? */
		IF error_pkg.error_codes_table (matching_row) = errcode_in
		THEN
			DBMS_OUTPUT.PUT_LINE 
				(error_pkg.error_messages_table (matching_row));
			keep_searching := FALSE;
		ELSE
			/* Move to the next error code in the table */
			matching_row := matching_row + 1;
			keep_searching := matching_row <= error_pkg.last_row;
		END IF;
	END LOOP;
END;
